Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162396 - grub-install doesn't with XFS filesystem
Summary: grub-install doesn't with XFS filesystem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 03:19 UTC by Lonni J Friedman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-06 21:05:45 UTC


Attachments (Terms of Use)

Description Lonni J Friedman 2005-07-04 03:19:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
If /boot is using the XFS filesystem, then anaconda (or more appropriately, grub) hangs, using 99% of the CPU when trying to write to the MBR.

This bug just won't die.  It existed in FC2 and FC3 and still exists in FC4.  For the love of jebus, *please* can someone please fix this?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install with all filesystems as XFS
2. When grub is getting written to the MBR, it will hang, and CPU usage hits 99% indefinitely


Actual Results:  After the reboot, the system comes to a grub prompt
FC4 is bootable if you manually enter the 'kernel /vmlinuz-...blah blah' command
  

Expected Results:  Installing on XFS results in a fully bootable system that doesn't require inside knowledge of grub.

Additional info:

Comment 1 Peter Jones 2005-07-06 21:05:45 UTC
xfs is completely unsupported.

Comment 2 Lonni J Friedman 2005-07-06 21:19:01 UTC
Huh???  Why are you shipping a kernel that includes XFS as a filesystem if its
"completely unsupported"?

How about removing XFS from the kernel if you don't want to support it.  What
else  in FC4 is 'completely unsupported' yet is shipping?


Note You need to log in before you can comment on or make changes to this bug.